gc(); rm(list = ls()); set.seed(12345)
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
# Note: if you are not using R Studio this command will not work, 
# set WD to source file location manually
require(magrittr)
require(plyr)
require(dplyr)
require(stringr)
require(data.table)
require(stargazer)
source("../../function.R")

############# Survey Experiment
load("../../data/final/surveyexp_data_final.RData") 

## Aid Condition

list_surv_aid <- lapply(dfList, 
                            subset, 
                            aid == 1)

for(i in 1:length(list_surv_aid)){
 list_surv_aid[[i]]$obs <- nrow(list_surv_aid[[i]])
}

list_surv_aid_manippass <- lapply(list_surv_aid, 
                            function(x)x[x$manip_source == 1, ])

for(i in 1:length(list_surv_aid_manippass)){
  list_surv_aid_manippass[[i]]$newobs <- nrow(list_surv_aid_manippass[[i]])
  list_surv_aid_manippass[[i]]$passrate <- 
    list_surv_aid_manippass[[i]]$newobs/list_surv_aid_manippass[[i]]$obs
}

uganda_surv_aidpassrate <- list_surv_aid_manippass$Uganda$passrate

df_uganda_surv_aidpassrate <- unique(as.data.frame(uganda_surv_aidpassrate)) %>% 
  rename(aidpass = uganda_surv_aidpassrate)


ghana_surv_aidpassrate <- list_surv_aid_manippass$Ghana$passrate

df_ghana_surv_aidpassrate <- unique(as.data.frame(ghana_surv_aidpassrate)) %>%
  rename(aidpass = ghana_surv_aidpassrate)


## Oil Condition

list_surv_oil <- lapply(dfList, 
                        subset, 
                        aid == 0)

for(i in 1:length(list_surv_oil)){
  list_surv_oil[[i]]$obs <- nrow(list_surv_oil[[i]])
}

list_surv_oil_manippass <- lapply(list_surv_oil, 
                                  subset, 
                                  manip_source == 1)

for(i in 1:length(list_surv_oil_manippass)){
  
  list_surv_oil_manippass[[i]]$newobs <- nrow(list_surv_oil_manippass[[i]])
  list_surv_oil_manippass[[i]]$passrate <- 
    list_surv_oil_manippass[[i]]$newobs/list_surv_oil_manippass[[i]]$obs
}

uganda_surv_oilpassrate <- list_surv_oil_manippass$Uganda$passrate
df_uganda_surv_oilpassrate <- unique(as.data.frame(uganda_surv_oilpassrate)) %>% 
  rename(oilpass = uganda_surv_oilpassrate)

ghana_surv_oilpassrate <- list_surv_oil_manippass$Ghana$passrate

df_ghana_surv_oilpassrate <- unique(as.data.frame(ghana_surv_oilpassrate)) %>% 
  rename(oilpass = ghana_surv_oilpassrate)




#################### Lab Experiments
load("../../data/final/lab_data_final.RData") 

## Aid Condition
list_lab_aid <- lapply(dfList, 
                       subset, 
                       aid== 1)

for(i in 1:length(list_lab_aid)){
  list_lab_aid[[i]]$obs <- nrow(list_lab_aid[[i]])
}

list_lab_aid_manippass <- lapply(list_lab_aid,
                                 subset, 
                                 manip_source == 1)

for(i in 1:length(list_lab_aid_manippass)){
  list_lab_aid_manippass[[i]]$newobs <- nrow(list_lab_aid_manippass[[i]])
  list_lab_aid_manippass[[i]]$passrate <- 
    list_lab_aid_manippass[[i]]$newobs/list_lab_aid_manippass[[i]]$obs
}

ghana16_lab_aidpassrate <- list_lab_aid_manippass$`Ghana July 2016`$passrate

df_ghana16_lab_aidpassrate <- unique(as.data.frame(ghana16_lab_aidpassrate)) %>%
  rename(aidpass = ghana16_lab_aidpassrate)

uganda17jan_lab_aidpassrate <- list_lab_aid_manippass$`Uganda January 2017`$passrate

df_uganda17jan_lab_aidpassrate <- unique(as.data.frame(uganda17jan_lab_aidpassrate)) %>% 
  rename(aidpass = uganda17jan_lab_aidpassrate)

uganda17jun_lab_aidpassrate <- list_lab_aid_manippass$`Uganda June 2017`$passrate

df_uganda17jun_lab_aidpassrate <- 
  unique(as.data.frame(uganda17jun_lab_aidpassrate)) %>% 
  rename(aidpass = uganda17jun_lab_aidpassrate)

## Oil Condition
list_lab_oil <- lapply(dfList, subset, aid == 0)

for(i in 1:length(list_lab_oil)){
  list_lab_oil[[i]]$obs <- nrow(list_lab_oil[[i]])
}

list_lab_oil_manippass <- lapply(list_lab_oil, subset, manip_source== 1)

for(i in 1:length(list_lab_oil_manippass)){
  
  list_lab_oil_manippass[[i]]$newobs <- nrow(list_lab_oil_manippass[[i]])
  list_lab_oil_manippass[[i]]$passrate <- 
    list_lab_oil_manippass[[i]]$newobs/list_lab_oil_manippass[[i]]$obs
  
}

ghana16_lab_oilpassrate <- list_lab_oil_manippass$`Ghana July 2016`$passrate

df_ghana16_lab_oilpassrate <- unique(as.data.frame(ghana16_lab_oilpassrate)) %>% 
  rename(oilpass = ghana16_lab_oilpassrate)

uganda17jan_lab_oilpassrate <- 
  list_lab_oil_manippass$`Uganda January 2017`$passrate

df_uganda17jan_lab_oilpassrate <- 
  unique(as.data.frame(uganda17jan_lab_oilpassrate)) %>% 
  rename(oilpass = uganda17jan_lab_oilpassrate)

uganda17jun_lab_oilpassrate <- list_lab_oil_manippass$`Uganda June 2017`$passrate

df_uganda17jun_lab_oilpassrate <- 
  unique(as.data.frame(uganda17jun_lab_oilpassrate)) %>% 
  rename(oilpass = uganda17jun_lab_oilpassrate)


############################# Field Experiments

load("../../data/final/field_data_final.RData") 

#Aid Condition

list_field_aid <- subset.data.frame(ugField, 
                                    aid_info== 1)

list_field_aid$obs <- nrow(list_field_aid)


list_field_aid_manippass <- subset.data.frame(list_field_aid, 
                                    manip_source == 1)

list_field_aid_manippass$newobs <- nrow(list_field_aid_manippass)
list_field_aid_manippass$passrate <- 
  list_field_aid_manippass$newobs/list_field_aid_manippass$obs

uganda18_field_aidpassrate <- list_field_aid_manippass$passrate

df_uganda18_field_aidpassrate <- 
  unique(as.data.frame(uganda18_field_aidpassrate)) %>% 
  rename(aidpass = uganda18_field_aidpassrate)

## Oil Condition

list_field_oil <- subset.data.frame(ugField, oil_info == 1)
list_field_oil$obs <- nrow(list_field_oil)


list_field_oil_manippass <- subset.data.frame(list_field_oil, 
                                    manip_source == 1)

list_field_oil_manippass$newobs <- nrow(list_field_oil_manippass)

list_field_oil_manippass$passrate <- 
  list_field_oil_manippass$newobs/list_field_oil_manippass$obs

uganda18_field_oilpassrate <- list_field_oil_manippass$passrate

df_uganda18_field_oilpassrate <- 
  unique(as.data.frame(uganda18_field_oilpassrate)) %>% 
  rename(oilpass = uganda18_field_oilpassrate)

### Creating output table
df_aid_all <- rbind(df_uganda_surv_aidpassrate, 
                    df_ghana_surv_aidpassrate, 
                    df_ghana16_lab_aidpassrate, 
                    df_uganda17jan_lab_aidpassrate, 
                    df_uganda17jun_lab_aidpassrate, 
                    df_uganda18_field_aidpassrate)

df_oil_all <- rbind(df_uganda_surv_oilpassrate, 
                    df_ghana_surv_oilpassrate, 
                    df_ghana16_lab_oilpassrate, 
                    df_uganda17jan_lab_oilpassrate, 
                    df_uganda17jun_lab_oilpassrate, 
                    df_uganda18_field_oilpassrate)


table_final <- cbind(df_aid_all, df_oil_all)*100

rownames(table_final) <- c("Uganda 2014 Mass Survey Experiment", 
                           "Ghana 2015 Mass Survey Experiment", 
                           "Ghana July 2016 Lab Experiment", 
                           "Uganda January 2017 Lab Experiment",
                           "Uganda June 2017 Lab Experiment",
                           "Uganda June 2018 Field Experiment")

stargazer(table_final, 
          type = "text", 
          summary = FALSE)
