gc(); rm(list = ls()); set.seed(12345)
setwd(dirname(rstudioapi::getActiveDocumentContext()$path)) 
# Note: if you are not using R Studio this command will not work, 
# set WD to source file location manually
require(magrittr)
require(plyr)
require(dplyr)
require(stringr)
require(data.table)
require(kableExtra)
require(scales)
source("../../function.R") 
load("../../data/final/surveyexp_data_final.RData") 

### Uganda 2014 Survey Experiment

df_uganda_surv_aid <- dfList$Uganda[dfList$Uganda$aid == 1, ]
df_uganda_surv_aid$obs <- nrow(df_uganda_surv_aid)
df_uganda_surv_aid_obs <- df_uganda_surv_aid$obs
df_uganda_surv_aid_obs_clean <- unique(df_uganda_surv_aid_obs)

df_uganda_surv_oil <- dfList$Uganda[dfList$Uganda$aid != 1, ]
df_uganda_surv_oil$obs <- nrow(df_uganda_surv_oil)
df_uganda_surv_oil_obs <- df_uganda_surv_oil$obs
df_uganda_surv_oil_obs_clean <- unique(df_uganda_surv_oil_obs)

df_uganda_surv <- as.data.frame(cbind(df_uganda_surv_aid_obs_clean, 
                        df_uganda_surv_oil_obs_clean)) %>%
  rename("Aid" = "df_uganda_surv_aid_obs_clean", 
         "Oil" = "df_uganda_surv_oil_obs_clean")


### Ghana 2015 Survey Experiment

df_ghana_surv_aid <- dfList$Ghana[dfList$Ghana$aid == 1, ]
df_ghana_surv_aid$obs <- nrow(df_ghana_surv_aid)
df_ghana_surv_aid_obs <- df_ghana_surv_aid$obs
df_ghana_surv_aid_obs_clean <- unique(df_ghana_surv_aid_obs)

df_ghana_surv_oil <- dfList$Ghana[dfList$Ghana$aid != 1, ]
df_ghana_surv_oil$obs <- nrow(df_ghana_surv_oil)
df_ghana_surv_oil_obs <- df_ghana_surv_oil$obs
df_ghana_surv_oil_obs_clean <- unique(df_ghana_surv_oil_obs)

df_ghana_surv <- as.data.frame(cbind(df_ghana_surv_aid_obs_clean, 
                       df_ghana_surv_oil_obs_clean)) %>%
  rename("Aid" = "df_ghana_surv_aid_obs_clean", 
         "Oil" = "df_ghana_surv_oil_obs_clean")


########################## Lab Experiments #####################################


### Ghana 2016 Lab Experiment

load("../../data/final/lab_data_final.RData") 


df_ghana16_lab_aid <- dfList$`Ghana July 2016`[dfList$`Ghana July 2016`$aid == 1, ]
df_ghana16_lab_aid <- df_ghana16_lab_aid %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_ghana16_lab_aid$obs <- nrow(df_ghana16_lab_aid)
df_ghana16_lab_aid_obs <- df_ghana16_lab_aid$obs
df_ghana16_lab_aid_obs_clean <- unique(df_ghana16_lab_aid_obs)

df_ghana16_lab_oil <- dfList$`Ghana July 2016`[dfList$`Ghana July 2016`$aid != 1, ]
df_ghana16_lab_oil <- df_ghana16_lab_oil %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_ghana16_lab_oil$obs <- nrow(df_ghana16_lab_oil)
df_ghana16_lab_oil_obs <- df_ghana16_lab_oil$obs
df_ghana16_lab_oil_obs_clean <- unique(df_ghana16_lab_oil_obs)

df_ghana16_lab <- as.data.frame(cbind(df_ghana16_lab_aid_obs_clean, 
                        df_ghana16_lab_oil_obs_clean)) %>%
  rename("Aid" = "df_ghana16_lab_aid_obs_clean", 
         "Oil" = "df_ghana16_lab_oil_obs_clean")



### Uganda January 2017 Lab Experiment

df_uganda17jan_lab_aid <- dfList$`Uganda January 2017`[dfList$`Uganda January 2017`$aid == 1, ]
df_uganda17jan_lab_aid <- df_uganda17jan_lab_aid %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_uganda17jan_lab_aid$obs <- nrow(df_uganda17jan_lab_aid)
df_uganda17jan_lab_aid_obs <- df_uganda17jan_lab_aid$obs
df_uganda17jan_lab_aid_obs_clean <- unique(df_uganda17jan_lab_aid_obs)

df_uganda17jan_lab_oil <- dfList$`Uganda January 2017`[dfList$`Uganda January 2017`$aid != 1, ]
df_uganda17jan_lab_oil <- df_uganda17jan_lab_oil %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_uganda17jan_lab_oil$obs <- nrow(df_uganda17jan_lab_oil)
df_uganda17jan_lab_oil_obs <- df_uganda17jan_lab_oil$obs
df_uganda17jan_lab_oil_obs_clean <- unique(df_uganda17jan_lab_oil_obs)

df_uganda17jan_lab <- as.data.frame(cbind(df_uganda17jan_lab_aid_obs_clean, 
                            df_uganda17jan_lab_oil_obs_clean)) %>%
  rename("Aid" = "df_uganda17jan_lab_aid_obs_clean", 
         "Oil" = "df_uganda17jan_lab_oil_obs_clean")


### Uganda June 2017 Lab Experiment

df_uganda17jun_lab_aid <- dfList$`Uganda June 2017`[dfList$`Uganda June 2017`$aid == 1, ]
df_uganda17jun_lab_aid <- df_uganda17jun_lab_aid %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_uganda17jun_lab_aid$obs <- nrow(df_uganda17jun_lab_aid)
df_uganda17jun_lab_aid_obs <- df_uganda17jun_lab_aid$obs
df_uganda17jun_lab_aid_obs_clean <- unique(df_uganda17jun_lab_aid_obs)

df_uganda17jun_lab_oil <- dfList$`Uganda June 2017`[dfList$`Uganda June 2017`$aid != 1, ]
df_uganda17jun_lab_oil <- df_uganda17jun_lab_oil %>%
  distinct(sbj_unique, .keep_all = TRUE)
df_uganda17jun_lab_oil$obs <- nrow(df_uganda17jun_lab_oil)
df_uganda17jun_lab_oil_obs <- df_uganda17jun_lab_oil$obs
df_uganda17jun_lab_oil_obs_clean <- unique(df_uganda17jun_lab_oil_obs)

df_uganda17jun_lab <- as.data.frame(cbind(df_uganda17jun_lab_aid_obs_clean, 
                            df_uganda17jun_lab_oil_obs_clean)) %>%
  rename("Aid" = "df_uganda17jun_lab_aid_obs_clean", 
         "Oil" = "df_uganda17jun_lab_oil_obs_clean")


###################### Field Experiments #######################################

### Uganda 2018 Field Experiment

load("../../data/final/field_data_final.RData") 



df_uganda_field_aid <- ugField[ugField$treat_factor=="Aid Info", ]
df_uganda_field_aid$obs <- nrow(df_uganda_field_aid)
df_uganda_field_aid_obs <- df_uganda_field_aid$obs
df_uganda_field_aid_obs_clean <- unique(df_uganda_field_aid_obs)

df_uganda_field_oil <- ugField[ugField$treat_factor=="Oil Info", ]
df_uganda_field_oil$obs <- nrow(df_uganda_field_oil)
df_uganda_field_oil_obs <- df_uganda_field_oil$obs
df_uganda_field_oil_obs_clean <- unique(df_uganda_field_oil_obs)

df_uganda_field <- as.data.frame(cbind(df_uganda_field_aid_obs_clean, 
                         df_uganda_field_oil_obs_clean)) %>%
  rename("Aid" = "df_uganda_field_aid_obs_clean", 
         "Oil" = "df_uganda_field_oil_obs_clean")



######################  Combining Tables ######################################

df_all <- rbind(df_uganda_surv, 
                df_ghana_surv, 
                df_ghana16_lab, 
                df_uganda17jan_lab, 
                df_uganda17jun_lab, 
                df_uganda_field)

df_all$N <- df_all$Aid + df_all$Oil

df_all$experiment <- c("Uganda 2014  Mass Survey",
                       "Ghana 2015 Mass Survey",
                       "Ghana Jul 2016 Lab Game",
                       "Uganda Jan 2017 Lab Game",
                       "Uganda Jun 2017 Lab Game",
                       "Uganda 2018 Info Experiment")


df_all$pct_aid <- (df_all$Aid/(df_all$Aid+df_all$Oil))*100
df_all$pct_oil <- (df_all$Oil/(df_all$Aid+df_all$Oil))*100

df_all_order <- df_all[, c(4, 1, 5, 2, 6, 3)]

df_all_round <- df_all_order %>% 
  mutate_if(is.numeric, round, digits=2)




kable(df_all_round, format = "html", booktabs = T, caption = "Table D1") %>%
  kable_styling(latex_options = c("striped", "hold_position"),
                full_width = F) 


