gc(); rm(list = ls()); set.seed(12345)
setwd(dirname(rstudioapi::getActiveDocumentContext()$path)) # Note: if you are not using R Studio this command will not work, set WD to source file location manually
require(stargazer)
source("../../function.R") 
load("../../data/final/lab_data_final.RData") 

dfUsing <- dfList$`Ghana July 2016`
dfSingle <- dfUsing[dfUsing$round == 2, ]
balUse <- c("age", "edu", "pov_water", "pov_food", "vote", "female", "services_avg")
balNames <- c("Age", "Education", "How Often Gone Without Water", 
              "How Often Gone Without Food", 
              "Voted in Prior Election", "Female", "Quality of Public Goods")

treatVars <- "treatment"

balTab <- round(t(sapply(balUse, FUN = function(x){tapply(dfSingle[, x], dfSingle[, treatVars], mean, na.rm = T)})), digits = 2)
balTest <- sapply(balUse, FUN = function(x){
  modSum <- summary(lm(make_equation(x, treatVars), data = dfSingle))
  return(modSum$coefficients[grep(treatVars, rownames(modSum$coefficients)), 4])
})
balFinal <- as.data.frame(round(cbind(balTab, balTest, p.adjust(balTest, method = "holm")), digits = 2))
colnames(balFinal) <- c("Aid", "Oil", 
                        "p-value", "Holm p")
rownames(balFinal) <- balNames


### TABLE D7. Output
stargazer(balFinal, summary = F, type = "latex")

